# List Users Get a list of all users with membership in your organization, with their contact information, license type, and workspace roles. You must be an organization admin to list users. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "User and Workspace management", "description": "Operations for managing users and workspaces." } ], "paths": { "/public/v1/users": { "get": { "tags": [ "User and Workspace management" ], "summary": "List Users", "operationId": "listUsers", "description": "Get a list of all users with membership in your organization, with their contact information, license type, and workspace roles.\n\nYou must be an organization admin to list users.\n", "parameters": [ { "name": "count", "in": "query", "description": "Number of elements in page.", "schema": { "type": "integer", "format": "int32", "minimum": 0, "maximum": 50, "default": 50 }, "example": 10 }, { "name": "page", "in": "query", "description": "Page number.", "schema": { "type": "integer", "format": "int32", "minimum": 0, "default": 1 }, "example": 1 }, { "name": "show_removed", "in": "query", "description": "Filter option - show users with removed memberships.", "schema": { "type": "boolean", "default": true }, "example": false } ], "responses": { "200": { "description": "Page of users.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ListUsersResponse" }, "examples": { "List Users": { "value": { "total": 1, "results": [ { "user_id": "ajnN7eGutJZsRKjQrNuPkh", "email": "josh@example.com", "first_name": "Josh", "last_name": "Doe", "phone_number": "+14842634627", "license": "Full", "is_organization_owner": true, "workspaces": [ { "role": "Admin", "workspace_id": "fERpqZdFaF9dHVAeVxPFaV", "membership_id": "nPh2PDhFdDqAES9k64h9qX" } ] } ] } } } } } }, "401": { "$ref": "#/components/responses/401" }, "429": { "$ref": "#/components/responses/429" } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "ListUsersResponse": { "type": "object", "properties": { "total": { "type": "integer", "description": "A number of users" }, "results": { "type": "array", "items": { "type": "object", "properties": { "user_id": { "type": "string", "description": "A unique identifier of the user in the organization.", "example": "ajnN7eGutJZsRKjQrNuPkh" }, "email": { "type": "string", "description": "A user's email address.", "example": "josh@example.com" }, "first_name": { "type": "string", "description": "A user's first name.", "example": "Josh" }, "last_name": { "type": "string", "description": "A user's last name.", "example": "Doe" }, "phone_number": { "type": "string", "description": "A user's phone number.", "example": "+14842634627" }, "license": { "type": "string", "description": "A user's license in the organization.", "example": "Full" }, "is_organization_owner": { "type": "boolean" }, "workspaces": { "type": "array", "items": { "type": "object", "properties": { "role": { "type": "string", "description": "A user's role in workspace.", "example": "Admin" }, "workspace_id": { "type": "string", "description": "A user's workspace.", "example": "fERpqZdFaF9dHVAeVxPFaV" }, "membership_id": { "type": "string", "description": "A user's membership id in workspace.", "example": "vibuun3DXG8QDDLfXm27Ne" } } } } } } } } } }, "responses": { "401": { "description": "Authentication error", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "authentication_error" }, "detail": { "type": "string", "example": "Authentication credentials were not provided." } } } } } }, "429": { "description": "Too Many Requests", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "throttled" }, "detail": { "type": "string", "example": "Request was throttled." } } } } } } } } } ```